Exchange Amazon auth code for tokens
POST
/api/v1/auth/login/amazon/callback
const url = 'https://api.totalview.energy/api/v1/auth/login/amazon/callback';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"code":"example","state":"example","state_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.totalview.energy/api/v1/auth/login/amazon/callback \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "state": "example", "state_token": "example" }'Receives the authorization code from Amazon Federate, exchanges it for tokens, verifies the id_token, and logs the user in (or auto-provisions).
Request Body required
Section titled “Request Body required ” Media type application/json
AmazonCallbackSchema
object
code
required
Code
string
state
required
State
string
state_token
required
State Token
string
Example generated
{ "code": "example", "state": "example", "state_token": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}